/******************************************************************************
FILE:				Progress.h
LANGUAGE:			Objective-C
SYSTEM:				UNIX 
USER-INTERFACE:		NEXTSTEP
DESCRIPTION
	This object creates a small window to display the progress made in filling
	a file. It probes the size of the file periodically until it's greater than
	a target size.
AUTHORS
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1998/08/12 <PJB> Creation.
BUGS
LEGAL
	Copyright Pascal J. Bourguignon 1998 - 1998
	The GNU GENERAL PUBLIC LICENSE applies to this software.
	See the file named "COPYING".
******************************************************************************/
#import <appkit/appkit.h>
#import "Gauge.h"


@interface Progress:Object
{
    Window*         window;
	Gauge*          gauge;
	BOOL            ticking;
	DPSTimedEntry   timedEntry;
	const char*     path;
	size_t          targetSize;
}

	-(id)initWithPath:(const char*)filePath expectedSize:(size_t)expectedSize;
	-(id)free;

	-(id)appDidInit:sender;
	
	-(void)makeWindow;
	-(void)start;
	-(void)tick;
	-(BOOL)fileExists;
	-(size_t)getFileSize;
	-(void)targetReached;
	-(void)stop;
	
@end // Progress.

/*** Progress.h / Wed Aug 12 03:59:47 MET 1998 / PJB ***/
